## mycompiler.mytypereconstruction.typeassumptionkey
Class CMethodKey

    java.lang.Object
      mycompiler.mytypereconstruction.typeassumptionkey.CTypeAssumptionKey
          mycompiler.mytypereconstruction.typeassumptionkey.CMethodKey

All Implemented Interfaces:
  IHashSetKey

    public class CMethodKey

extends CTypeAssumptionKey

Version:
  $Date: 2005/06/28 19:19:05 $
Author:
  Jörg Bäuerle

Field Summary
`static java.lang.String` `KEYPREFIX`

Fields inherited from class mycompiler.mytypereconstruction.typeassumptionkey.CTypeAssumptionKey
`m_KeyString`

Constructor Summary
`CMethodKey(java.lang.String className, java.lang.String identifier, int paraCount)`

Method Summary

Methods inherited from class mycompiler.mytypereconstruction.typeassumptionkey.CTypeAssumptionKey
`equals, getKeyString, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### KEYPREFIX

    public static java.lang.String KEYPREFIX

Constructor Detail

### CMethodKey

    public CMethodKey(java.lang.String className,
                      java.lang.String identifier,
                      int paraCount)